Bug 62587 - Invalid IJS and HPIJS support
Summary: Invalid IJS and HPIJS support
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: foomatic   
(Show other bugs)
Version: skipjack-beta1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61590
TreeView+ depends on / blocked
 
Reported: 2002-04-02 20:29 UTC by david_suffield
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-04 08:35:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Seems like this patch should do it. (923 bytes, patch)
2002-04-03 21:13 UTC, Tim Waugh
no flags Details | Diff
Here is attempt 2 at that patch. (7.12 KB, patch)
2002-04-04 08:34 UTC, Tim Waugh
no flags Details | Diff

Description david_suffield 2002-04-02 20:29:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)

Description of problem:
The Skipjack beta uses the wrong IJS client (gdevijs.c) with Ghostscript 6.53.
You are using a temporary IJS client that came with hpijs 1.0.2 until
Ghostscript 6.53 came out. Ghostscript 6.53 comes with it's own IJS client.

You also need to upgrade to hpijs 1.0.4. Hpijs 1.0.4 is compatible with
Ghostscript 6.53 and matches the foomatic data being used by printconf-gui.
Hpijs 1.0.2 will not work with the foomatic data.

I have a updated ghostscript.spec which supports hpijs 1.0.4. The spec file
creates ghostscript-6.53-5.i386.rpm which I have tested with your printconf-gui
on Skipjack. 

http://hpinkjet.sourceforge.net/ghostscript.spec
http://hpinkjet.sourceforge.net/hpijs-1.0.4.tar.bz2

Let me know if you have any questions.

-DaveS



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. printconf-gui with hpijs
2.
3.
	

Additional info:

Comment 1 Tim Waugh 2002-04-02 21:06:42 UTC
I built this earlier today as ghostscript-6.53-7.  Thanks for the report (and
your earlier mail).

Comment 2 Tim Waugh 2002-04-03 11:14:14 UTC
Actually we will probably back off to ghostscript-6.52, so we will probably also
stick with hpijs-1.0.2 for the moment.

Comment 3 david_suffield 2002-04-03 20:39:12 UTC
Hpijs 1.0.2 will not match the foomatic-1.1-0.20020313.1 database. Hpijs 1.0.4
will. Also, I thought ghostscript-6.53 fixes some security issues.

Comment 4 Tim Waugh 2002-04-03 21:09:58 UTC
Regarding 6.53 and security issues: these are the PARANOIDSAFER changes which we
already apply as a patch.

And the foomatic database: you're right; I only checked that our database didn't
have 1.0.4 (looking in the ChangeLog).  It looks like 2002-02-20 is when 1.0.3
data went in, so I'll look at backporting any fixes there have been since then
into the foomatic data from that date.

Comment 5 Tim Waugh 2002-04-03 21:13:42 UTC
Created attachment 52133 [details]
Seems like this patch should do it.

Comment 6 david_suffield 2002-04-03 22:39:25 UTC
Your foomatic-1.1-hpijs-1.0.2.patch does not correct all the differences between
hpijs 1.0.2 and hpijs 1.0.3. The hpijs-Quality.xml file is wrong too.

But, I am not getting the big picture here. Is there a problem supporting hpijs
1.0.4? Hpijs 1.0.4 fixes many hpijs 1.0.2 bugs. If you want to use gs6.52, it
would be easier to just patch the gs6.53 IJS client (gdevijs.c) into gs6.52 and
then you can use hpijs 1.0.4.

Hpijs 1.0.4 is compatible with the foomatic-1.1-0.20020313.1 database.

Comment 7 Tim Waugh 2002-04-04 08:34:11 UTC
I tried but couldn't get it building.  I am not familiar enough with ghostscript
yet.  I am trying for minimal changes at this point.

Comment 8 Tim Waugh 2002-04-04 08:34:58 UTC
Created attachment 52164 [details]
Here is attempt 2 at that patch.

Comment 9 Tim Waugh 2002-04-04 16:24:40 UTC
foomatic-1.1-0.20020313.3.


Note You need to log in before you can comment on or make changes to this bug.